Bug 36411 - java/jdk13 not owner/group safe
Summary: java/jdk13 not owner/group safe
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: java (show other bugs)
Version: 4.5-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-03-28 07:40 UTC by Alan E
Modified: 2003-04-30 16:46 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (946 bytes, patch)
2002-03-28 07:40 UTC, Alan E
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alan E 2002-03-28 07:40:00 UTC
When built as non-root, install by root leaves files owned by non-root
builder. This is a serious problem, as files in /usr/local should not be
owned by random users.

The following ports all have the same error in the Makefile:

java/gnu-regexp/Makefile
java/jakarta-oro/Makefile
java/jakarta-regexp/Makefile
java/jce-aba/Makefile
java/jdk-tutorial/Makefile
java/jdk/Makefile
java/jdk12-beta/Makefile
java/jdk13/Makefile
java/jre/Makefile
java/jsdk/Makefile
java/linux-ibm-jdk13/Makefile
java/linux-jdk/Makefile
java/linux-jdk13/Makefile
java/linux-jdk14/Makefile

To java@, how do you want the other 13 ports reported?  One big PR? 13
individual PRs? Do you want to extend this PR to conver the other 13?

Fix: Do *not* use tar|tar to install ports. Or do a massive "chown -Rh ..."
afterwards.

==8<====8<====8<====8<====8<====8<====8<====8<====8<====8<==
How-To-Repeat: 
Build as non-root. Install as root. This *should* work correctly,
but does not.
Comment 1 Alan Eldridge 2002-03-29 06:52:35 UTC
I did some preliminary looking around. There's too much stuff that isn't 
owner and group safe. I feel like Don Quixote... I'm not going to follow with 
PRs for the other ports. <sigh/>
-- 
AlanE
"When the going gets weird, the weird turn pro." - HST
Comment 2 Ernst de Haan freebsd_committer 2002-04-01 22:36:37 UTC
Responsible Changed
From-To: freebsd-ports->java

The Java mailing list should handle this. Greg?
Comment 3 Greg Lewis freebsd_committer 2002-04-08 19:12:44 UTC
Responsible Changed
From-To: java->glewis

I'll take this one.
Comment 4 Greg Lewis freebsd_committer 2003-04-30 16:45:58 UTC
State Changed
From-To: open->closed

All these ports are fixed (which isn't to say there aren't others 
in the ports tree with similar problems).